Bug 371391 - Including <security/pam_appl.h> should define PAM_AUTHTOK_RECOVERY_ERR
Including <security/pam_appl.h> should define PAM_AUTHTOK_RECOVERY_ERR
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
Depends On:
  Show dependency treegraph
Reported: 2007-11-08 11:10 EST by Eduard Benes
Modified: 2008-07-24 15:53 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0707
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-24 15:53:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eduard Benes 2007-11-08 11:10:54 EST
Description of problem:
Including <security/pam_appl.h> does not define PAM_AUTHTOK_RECOVERY_ERR.

How reproducible:

Steps to Reproduce:
1. cat > xyz.c << EOF
#include <security/pam_appl.h>
int main(int argc, char **argv) {
  return 0;
  return 1;
2. gcc xyz.c ; chmod +x a.out ; ./a.out ; echo $?

Actual results:
The above returns 1 => PAM_AUTHTOK_RECOVERY_ERR is not defined

Expected results:
Should return 0 => PAM_AUTHTOK_RECOVERY_ERR is defined 

Additional info:
There is a typo in /usr/include/security/_pam_types.h:74
#define PAM_AUTHTOK_RECOVER_ERR 21 /* Authentication information */
Comment 1 RHEL Product and Program Management 2007-11-28 22:55:34 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 6 errata-xmlrpc 2008-07-24 15:53:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.